org.gradle.api.file

## Interface FileSystemLocation

- All Known Subinterfaces:
    Directory, RegularFile

      @Incubating
      public interface FileSystemLocation

  Represents some immutable location on the file system.

  Note: This interface is not intended for implementation by build script or plugin authors.

  Since:
    4.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getAsFile()` Returns this location as an absolute `File`.

- - ### Method Detail

    - #### getAsFile

          File getAsFile()

      Returns this location as an absolute `File`.
      Returns:
        the File